<?php

namespace TDevAgency\CmsSitemap\Providers;

use DaveJamesMiller\Breadcrumbs\Facades\Breadcrumbs;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Blade;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\File;
use Illuminate\Support\ServiceProvider;
use TDevAgency\Cms\Commands\AddUser;
use TDevAgency\Cms\Commands\CmsInstall;
use TDevAgency\Cms\Commands\PublicAssets;
use TDevAgency\Cms\Models\BaseModels\AdminUser;
use TDevAgency\Cms\Observers\AdminUserObserver;

class CmsSitemapServiceProvider extends ServiceProvider
{
    /**
     * @var string
     */
    private $rootPath;

    public function __construct($app)
    {
        parent::__construct($app);

        $this->rootPath = __DIR__.DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR;
    }

    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->mergeConfigFrom(
            $this->rootPath.'config'.DIRECTORY_SEPARATOR.'cms-sitemap.php',
            'cms-sitemap'
        );
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes([
            $this->rootPath.'config'.DIRECTORY_SEPARATOR.'cms-sitemap.php' => config_path('cms-sitemap.php'),
        ], 'config');
    }
}
